### Enumeration

# Cogl BufferUpdateHint

#### Declaration

    enum Cogl.BufferUpdateHint

#### Description [src]

The update hint on a buffer allows the user to give some detail on how often the buffer data is going to be updated.

#### Members

`COGL_BUFFER_UPDATE_HINT_STATIC`

  The buffer will not change over time.

  - Value: `0`
  - Available since: 16
`COGL_BUFFER_UPDATE_HINT_DYNAMIC`

  The buffer will change from time to time.

  - Value: `1`
  - Available since: 16
`COGL_BUFFER_UPDATE_HINT_STREAM`

  The buffer will be used once or a couple of times.

  - Value: `2`
  - Available since: 16